// Fill out your copyright notice in the Description page of Project Settings.

#include "PokktAndroidDemo.h"
#include "PokktDemoPawn.h"
//#include "IPokktAds.h"
#include <string>


// Sets default values
APokktDemoPawn::APokktDemoPawn()
{
 	// Set this pawn to call Tick() every frame.  You can turn this off to improve performance if you don't need it.
	PrimaryActorTick.bCanEverTick = true;

	// set pokkt config
	FString appId = "a2717a45b835b5e9f50284a38d62a74e";
	FString securityKey = "iJ02lJss0M";

	//IPokktAds::shouldDebug(true);
	//IPokktAds::setPokktConfig(appId, securityKey);
	//IPokktAds::getSDKVersion();
	//IPokktAds::showRewardedVideoAd("screenName");
}

// Called when the game starts or when spawned
void APokktDemoPawn::BeginPlay()
{
	Super::BeginPlay();
	
}

// Called every frame
void APokktDemoPawn::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);

}

// Called to bind functionality to input
void APokktDemoPawn::SetupPlayerInputComponent(UInputComponent* PlayerInputComponent)
{
	Super::SetupPlayerInputComponent(PlayerInputComponent);

}

